﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: "Segoe UI" , Arial, Sans-Serif;
            font-size: 10pt;
        }
        .ErrorHolder
        {
            border: solid 1px #FFC573;
            background-color: #FFE4BF;
            padding: 5px;
            width: 150px;
            margin-left: auto;
            margin-right: auto;
        }
        .ruInputs label
        {
            width: 70px;
            padding-right: 5px;
            text-align: right;
            display: block;
            float: left;
        }
        .ruInputs td
        {
            padding: 0px;
        }
        .ItemLi
        {
            padding: 5px;
            margin: 0px 0px 3px 0px;
            border: solid 1px #cccccc;
            background-color: #fafafa;
        }
        .ruFileWrap input[type="text"]
        {
            width: 160px;
        }
        .ruActions
        {
            text-align: center;
        }
        .formatNote
        {
            border: solid 1px #155184;
            background-color: #D7E7F5;
            margin-bottom: 5px;
        }
        .AdditionalInputs
        {
            font-family: Arial, sans-serif;
        }
        .RadUpload_Default, .RadUpload_Default a, .RadUpload_Default input, .RadUploadProgressArea_Default, .RadUploadProgressArea_Default input
        {
            font: normal 11px/10px Arial, sans-serif;
        }
        .note
        {
	        border: solid 1px #AAE3B9;
	        background-color: #E4F5E8;
	        padding: 10px;
	        margin-left: auto;
	        margin-right: auto;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
        </Scripts>
    </asp:ScriptManager>

    <script type="text/javascript">
        function uploadValidate(source, arguments) {
            arguments.IsValid = $find("<%= itemUpload.ClientID %>").validateExtensions();
        }
        function doItemValidation() {
            ValidatorValidate(document.getElementById('<%= itemValidator.ClientID %>'))
        }
        var numberOfCustomFields = 0;
        function addFields(radUpload, args) {
            var curLiEl = args.get_row();
            curLiEl.className = "ItemLi";
            var firstInput = curLiEl.getElementsByTagName("input")[0];


            //Create a simple HTML template.
            var table = document.createElement("table");
            table.className = 'AdditionalInputs';

            //A new row for a State DDL
            row = table.insertRow(-1);
            cell = row.insertCell(-1);
            var ddl = document.createElement("select");
            ddl.name = "myState";
            ddl.id = ddl.name = radUpload.getID(ddl.name);
            addStates(ddl);
            ddl.style.fontSize = "9pt";
            ddl.style.width = "50px";
            var label = CreateLabel("State", ddl.id);
            cell.appendChild(label);
            cell = row.insertCell(-1);
            cell.appendChild(ddl);

            //A new row for a Name field
            row = table.insertRow(-1);
            cell = row.insertCell(-1);
            var input = CreateInput("myName", "text");
            input.id = input.name = radUpload.getID(input.name);
            label = CreateLabel("Name", input.id);
            cell.appendChild(label);
            cell = row.insertCell(-1);
            cell.appendChild(input);

            //A new row for a Date
            row = table.insertRow(-1);
            cell = row.insertCell(-1);

            input = CreateInput("myDate", "text");
            input.id = input.name = radUpload.getID(input.name);
            input.style.width = "70px";
            label = CreateLabel("Date", input.id);
            cell.appendChild(label);
            cell = row.insertCell(-1);
            cell.appendChild(input);
            label = document.createElement("span");
            label.innerHTML = " (mm/dd/yyyy)";
            label.style.fontSize = 12;
            cell.appendChild(label);

            //Add a File label in front of the file input
            var fileInputSpan = curLiEl.getElementsByTagName("span")[0];
            var firstNode = curLiEl.childNodes[0];
            label = CreateLabel("File", radUpload.getID());
            label.style.padding = "5px 9px 0px 0px"
            curLiEl.insertBefore(label, firstNode);
            curLiEl.insertBefore(table, label);
        }
        function CreateLabel(text, associatedControlId) {
            var label = document.createElement("label");
            label.innerHTML = text;
            label.setAttribute("for", associatedControlId);
            label.style.fontSize = 12;
            return label;
        }
        function CreateInput(inputName, type) {
            var input = document.createElement("input");
            input.style.width = "100px";
            input.type = type;
            input.name = inputName;
            return input;
        }
        function addStates(ddl) {
            ddl.options[ddl.length] = new Option('', '');
            ddl.options[ddl.length] = new Option('AL', 'AL');
            ddl.options[ddl.length] = new Option('AK', 'AK');
            ddl.options[ddl.length] = new Option('AL', 'AL');
            ddl.options[ddl.length] = new Option('AR', 'AR');
            ddl.options[ddl.length] = new Option('AZ', 'AZ');
            ddl.options[ddl.length] = new Option('CA', 'CA');
            ddl.options[ddl.length] = new Option('CO', 'CO');
            ddl.options[ddl.length] = new Option('CT', 'CT');
            ddl.options[ddl.length] = new Option('DC', 'DC');
            ddl.options[ddl.length] = new Option('DE', 'DE');
            ddl.options[ddl.length] = new Option('FL', 'FL');
            ddl.options[ddl.length] = new Option('GA', 'GA');
            ddl.options[ddl.length] = new Option('HI', 'HI');
            ddl.options[ddl.length] = new Option('IA', 'IA');
            ddl.options[ddl.length] = new Option('ID', 'ID');
            ddl.options[ddl.length] = new Option('IL', 'IL');
            ddl.options[ddl.length] = new Option('IN', 'IN');
            ddl.options[ddl.length] = new Option('KS', 'KS');
            ddl.options[ddl.length] = new Option('KY', 'KY');
            ddl.options[ddl.length] = new Option('LA', 'LA');
            ddl.options[ddl.length] = new Option('MA', 'MA');
            ddl.options[ddl.length] = new Option('MD', 'MD');
            ddl.options[ddl.length] = new Option('ME', 'ME');
            ddl.options[ddl.length] = new Option('MI', 'MI');
            ddl.options[ddl.length] = new Option('MN', 'MN');
            ddl.options[ddl.length] = new Option('MO', 'MO');
            ddl.options[ddl.length] = new Option('MS', 'MS');
            ddl.options[ddl.length] = new Option('MT', 'MT');
            ddl.options[ddl.length] = new Option('NC', 'NC');
            ddl.options[ddl.length] = new Option('ND', 'ND');
            ddl.options[ddl.length] = new Option('NE', 'NE');
            ddl.options[ddl.length] = new Option('NH', 'NH');
            ddl.options[ddl.length] = new Option('NJ', 'NJ');
            ddl.options[ddl.length] = new Option('NM', 'NM');
            ddl.options[ddl.length] = new Option('NV', 'NV');
            ddl.options[ddl.length] = new Option('NY', 'NY');
            ddl.options[ddl.length] = new Option('OH', 'OH');
            ddl.options[ddl.length] = new Option('OK', 'OK');
            ddl.options[ddl.length] = new Option('OR', 'OR');
            ddl.options[ddl.length] = new Option('PA', 'PA');
            ddl.options[ddl.length] = new Option('RI', 'RI');
            ddl.options[ddl.length] = new Option('SC', 'SC');
            ddl.options[ddl.length] = new Option('SD', 'SD');
            ddl.options[ddl.length] = new Option('TN', 'TN');
            ddl.options[ddl.length] = new Option('TX', 'TX');
            ddl.options[ddl.length] = new Option('UT', 'UT');
            ddl.options[ddl.length] = new Option('VA', 'VA');
            ddl.options[ddl.length] = new Option('VT', 'VT');
            ddl.options[ddl.length] = new Option('WA', 'WA');
            ddl.options[ddl.length] = new Option('WI', 'WI');
            ddl.options[ddl.length] = new Option('WV', 'WV');
            ddl.options[ddl.length] = new Option('WY', 'WY');
        }
    </script>

    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
    </telerik:RadAjaxManager>
    <div>
        Upload an Item with some extra data:
        <table>
            <tr>
                <td>
                    <telerik:RadUpload ID="itemUpload" runat="server" ControlObjectsVisibility="AddButton"
                        InitialFileInputsCount="1" OnClientAdded="addFields" Width="340" MaxFileInputsCount="5"
                        AllowedFileExtensions=".pdf,.jpg,.jpeg,.tif,.tiff" MaxFileSize="1024000" OnClientFileSelected="doItemValidation">
                        <Localization Add="Add Item" />
                    </telerik:RadUpload>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:CustomValidator runat="server" ID="itemValidator" Display="Dynamic" ClientValidationFunction="uploadValidate">
                        <div class="ErrorHolder">
                            <table>
                                <tr>
                                    <td>
                                        <asp:Image ID="Image1" runat="server" ImageUrl="~/warning.png" />
                                    </td>
                                    <td style="vertical-align: middle;">
                                        Invalid extension.
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </asp:CustomValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <div class="note">
                        <b>Accepted formats</b>: pdf, jpg, jpeg, tif, tiff<br />
                        <b>Maximum file size</b>: 10 MB total
                    </div>
                </td>
            </tr>
            <tr>
                <td style="text-align:center;padding-top:5px;">
                    <telerik:RadButton ID="btnUpload" runat="server" Text="Upload Files" 
                        Icon-PrimaryIconCssClass="rbUpload" onclick="btnUpload_Click">
                    </telerik:RadButton>
                </td>
            </tr>
        </table>
    </div>
    </form>
</body>
</html>
